emacs-orgmode
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [O] [New exporter] Wrong export to LaTeX


From: Nicolas Goaziou
Subject: Re: [O] [New exporter] Wrong export to LaTeX
Date: Thu, 11 Oct 2012 19:54:02 +0200

Hello,

Suvayu Ali <address@hidden> writes:

>> That's why (add-to-list 'org-e-latex-classes "beamer" ...) doesn't make
>> much sense anyway (as suggested in another post).
>> 
> I believe you are refering to my minimal setup.

No, I was referring to S├ębastien Vauban's previous post, in which he
suggested to add a default "beamer" entry in `org-e-latex-classes'.

> However when I try to export to beamer (Seb's ECM) without the
>
>   (add-to-list 'org-e-latex-classes '("beamer" ...))

With a minimal setup, the ECM won't export because the file explicitly
asks for a "beamer" class, which isn't defined.

In other words, you can use Beamer back-end on any class, as long as
this class is defined in `org-e-latex-classes'. It doesn't have to be
named "beamer".

> bit, I get a backtrace (attached).  Is that a bug?

This is strange. The error comes from a void function, although it is
defined in org.el. I suppose you get the error because you use
`load-library' instead of `require'. You may want to (load-library
"org") to fix it.


Regards,

-- 
Nicolas Goaziou



reply via email to

[Prev in Thread] Current Thread [Next in Thread]